> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lpagent.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get historical LP positions for an owner

> Retrieves historical liquidity pool positions for a specific wallet owner



## OpenAPI

````yaml /api-reference/openapi.json get /lp-positions/historical
openapi: 3.0.0
info:
  title: LP Agent Open API
  version: 1.0.0
  description: |+
    Public API for LP Agent

    **Authentication**

    All endpoints require an API key passed via the `x-api-key` header.

servers:
  - url: https://api.lpagent.io/open-api/v1
    description: Production
security:
  - apiKeyAuth: []
tags: []
paths:
  /lp-positions/historical:
    get:
      tags:
        - Positions
      summary: Get historical LP positions for an owner
      description: >-
        Retrieves historical liquidity pool positions for a specific wallet
        owner
      parameters:
        - in: query
          name: owner
          required: true
          schema:
            type: string
          description: Wallet address of the position owner
          example: 9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM
        - in: query
          name: from_date
          schema:
            type: string
            format: date-time
          description: Start date for filtering positions
          example: '2025-01-01T00:00:00Z'
        - in: query
          name: to_date
          schema:
            type: string
            format: date-time
          description: End date for filtering positions
          example: '2025-09-01T00:00:00Z'
        - in: query
          name: page
          schema:
            type: integer
            default: 1
          description: Page number for pagination
        - in: query
          name: limit
          schema:
            type: integer
            default: 20
          description: Number of items per page
      responses:
        '200':
          description: Successfully retrieved historical positions
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  data:
                    type: object
                    properties:
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            status:
                              type: string
                              example: Close
                            strategyType:
                              type: string
                              example: SpotImBalanced
                            tokenId:
                              type: string
                              description: Position ID (token ID)
                              example: EAKJUJDFjRNQ6guA3Q1xqkfZ2ArXxKGL2LUQn69nZ6w7
                            pairName:
                              type: string
                              example: STARTUP
                            currentValue:
                              type: string
                              example: '23.6413056088255'
                            inputValue:
                              type: number
                              example: 23.641305608825547
                            inputNative:
                              type: number
                              example: 0.13232864407362593
                            outputValue:
                              type: number
                              example: 23.487261686308557
                            outputNative:
                              type: number
                              example: 0.13143240986197438
                            collectedReward:
                              type: number
                              example: 0
                            collectedRewardNative:
                              type: number
                              example: 0
                            collectedFee:
                              type: number
                              example: 0
                            collectedFeeNative:
                              type: number
                              example: 0
                            uncollectedFee:
                              type: string
                              example: '0'
                            tickLower:
                              type: integer
                              example: -4501
                            tickUpper:
                              type: integer
                              example: -4431
                            pool:
                              type: string
                              example: UUVJ9rVGVtMyEnLi473xyS7teC1PLg3oCWhVs1c1jpU
                            liquidity:
                              type: string
                              example: '0'
                            token0:
                              type: string
                              example: 97PVGU2DzFqsAWaYU17ZBqGvQFmkqtdMywYBNPAfy8vy
                            token1:
                              type: string
                              example: So11111111111111111111111111111111111111112
                            inRange:
                              type: boolean
                              example: true
                            createdAt:
                              type: string
                              format: date-time
                              example: '2025-07-30T16:03:34.000Z'
                            updatedAt:
                              type: string
                              format: date-time
                              example: '2025-07-30T16:03:45.000Z'
                            pnl:
                              type: object
                              properties:
                                value:
                                  type: number
                                  example: -0.1540439225169905
                                valueNative:
                                  type: number
                                  example: -0.0008962342116515531
                                percent:
                                  type: number
                                  example: -0.6515880512939365
                                percentNative:
                                  type: number
                                  example: -0.6772790713043958
                            pnlNative:
                              type: number
                              example: -0.0008962342116515531
                            upnl:
                              type: number
                              nullable: true
                              example: null
                            owner:
                              type: string
                              example: DMQ7mJ8DTXYLoc1g1NpSv7jtDdaCzsLUdzvvY8MA4hbX
                            dpr:
                              type: number
                              example: -51.17927966526919
                            dprNative:
                              type: number
                              example: -53.19719250972708
                            ageHour:
                              type: string
                              example: '0.00305555555555555556'
                            decimal0:
                              type: integer
                              example: 9
                            decimal1:
                              type: integer
                              example: 9
                            yield24h:
                              type: number
                              nullable: true
                              example: null
                            apr:
                              type: number
                              nullable: true
                              example: null
                            protocol:
                              type: string
                              example: meteora
                            token0Info:
                              type: object
                              properties:
                                token_symbol:
                                  type: string
                                  example: STARTUP
                                token_name:
                                  type: string
                                  example: Startup
                                token_decimals:
                                  type: integer
                                  example: 9
                                token_address:
                                  type: string
                                  example: 97PVGU2DzFqsAWaYU17ZBqGvQFmkqtdMywYBNPAfy8vy
                                logo:
                                  type: string
                                  nullable: true
                                  example: null
                            token1Info:
                              type: object
                              properties:
                                token_symbol:
                                  type: string
                                  example: SOL
                                token_name:
                                  type: string
                                  example: Wrapped SOL
                                token_decimals:
                                  type: integer
                                  example: 9
                                token_address:
                                  type: string
                                  example: So11111111111111111111111111111111111111112
                                logo:
                                  type: string
                                  example: >-
                                    https://www.dextools.io/resources/tokens/logos/3/solana/So11111111111111111111111111111111111111112.jpg
                            poolInfo:
                              type: object
                              properties:
                                fee:
                                  type: integer
                                  example: 20
                                tickSpacing:
                                  type: integer
                                  example: 20
                            age:
                              type: string
                              example: '0.00'
                            position:
                              type: string
                              example: EAKJUJDFjRNQ6guA3Q1xqkfZ2ArXxKGL2LUQn69nZ6w7
                            logo0:
                              type: string
                              example: >-
                                https://token-logo.lpagent.io/api/v1/logo?address=97PVGU2DzFqsAWaYU17ZBqGvQFmkqtdMywYBNPAfy8vy&chain=SOL
                            logo1:
                              type: string
                              example: >-
                                https://token-logo.lpagent.io/api/v1/logo?address=So11111111111111111111111111111111111111112&chain=SOL
                            tokenName0:
                              type: string
                              example: STARTUP
                            tokenName1:
                              type: string
                              example: SOL
                            priceRange:
                              type: array
                              items:
                                type: number
                              example:
                                - 0.02119779171413261
                                - 0.024379855528418568
                                - 0.01839426300470885
                            value:
                              type: number
                              example: 23.641305608825547
                            valueNative:
                              type: number
                              example: 0.13232864407362593
                            close_At:
                              type: string
                              format: date-time
                              example: '2025-07-30T16:03:45.000Z'
                            closeAt:
                              type: string
                              format: date-time
                              example: '2025-07-30T16:03:45.000Z'
                            fee:
                              type: number
                              example: 0
                            feeNative:
                              type: number
                              example: 0
                            feePercent:
                              type: number
                              example: 0
                            feePercentNative:
                              type: number
                              example: 0
                            creationType:
                              type: string
                              example: AUTO
                            pnlNativeAudited:
                              type: number
                              example: -0.004338157999999981
                            solInAudited:
                              type: number
                              example: 0.192444558
                            solOutAudited:
                              type: number
                              example: 0.1881064
                            followInfo:
                              type: object
                              properties:
                                sourceOwner:
                                  type: string
                                  example: 7KHx2Uc5qsqz652eXbu8Qtabi5KLxWJLgxFzcaBzP32i
                                sourceLabel:
                                  type: string
                                  example: cromatoforo
                                sourceTokenId:
                                  type: string
                                  example: 9DJ1vtDHs3x8yQCoPRBwMqFsUQAa7VtufsnoPe11kU2Q
                      pagination:
                        type: object
                        properties:
                          currentPage:
                            type: integer
                            example: 1
                          totalPages:
                            type: integer
                            example: 111
                          totalCount:
                            type: integer
                            example: 1329
                          pageSize:
                            type: integer
                            example: 12
        '400':
          description: Bad request - owner parameter is required
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: owner is required
        '500':
          description: Internal server error
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication

````